Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.echocomp
Class Style

    java.lang.Object
      ch.uzh.ifi.attempto.echocomp.Style

    public class Style

extends java.lang.Object

This class defines some style attributes that are used by the components of this package.

Author:
  Tobias Kuhn

Field Summary
`static nextapp.echo2.app.Color` | `darkBackground` The dark background color.
`static nextapp.echo2.app.Color` | `darkDisabled` The dark color for disabled components
`static nextapp.echo2.app.Color` | `darkForeground` The dark foreground color.
`static nextapp.echo2.app.Font.Typeface` | `fontTypeface` The font typeface.
`static nextapp.echo2.app.Color` | `lightBackground` The light background color.
`static nextapp.echo2.app.Color` | `lightDisabled` The light color for disabled components
`static nextapp.echo2.app.Color` | `lightForeground` The light foreground color.
`static nextapp.echo2.app.Color` | `mediumBackground` The medium background color.
`static nextapp.echo2.app.Color` | `mediumForeground` The medium foreground color.
`static nextapp.echo2.app.StyleSheet` | `styleSheet` The style sheet containing the shadows for internal windows.
`static nextapp.echo2.app.Color` | `windowTitleBackground` The color for the title background of internal windows.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleSheet

    public static nextapp.echo2.app.StyleSheet styleSheet

  The style sheet containing the shadows for internal windows.

### lightBackground

    public static nextapp.echo2.app.Color lightBackground

  The light background color.

### mediumBackground

    public static nextapp.echo2.app.Color mediumBackground

  The medium background color.

### darkBackground

    public static nextapp.echo2.app.Color darkBackground

  The dark background color.

### lightForeground

    public static nextapp.echo2.app.Color lightForeground

  The light foreground color.

### mediumForeground

    public static nextapp.echo2.app.Color mediumForeground

  The medium foreground color.

### darkForeground

    public static nextapp.echo2.app.Color darkForeground

  The dark foreground color.

### lightDisabled

    public static nextapp.echo2.app.Color lightDisabled

  The light color for disabled components

### darkDisabled

    public static nextapp.echo2.app.Color darkDisabled

  The dark color for disabled components

### windowTitleBackground

    public static nextapp.echo2.app.Color windowTitleBackground

  The color for the title background of internal windows.

### fontTypeface

    public static nextapp.echo2.app.Font.Typeface fontTypeface

  The font typeface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)